Skip to main content
GET
Get a loan

Authorizations

Authorization
string
header
required

An API key, pk_live_… or pk_test_….

Path Parameters

currency
string
required

The currency.

Example:

"NGN"

loan_ref
string
required

The loan ref.

Example:

"LN-1042"

Response

OK

loanRef
string
currency
string
status
enum<string>

OPEN: something is owed

CLEARED: nothing is owed: not yet drawn, repaid or written off

Available options:
OPEN,
CLEARED
principalAccountId
string
interestAccountId
string
principalOutstanding
string

minor units

interestOutstanding
string

accrued interest and penalties, minor units

totalOutstanding
string

Minor units, as a string.

openedAt
string<date-time>